/*===========================================================================*/
/*   (Unsafe/uuid.scm)                                                       */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Unsafe/uuid.scm -indent -o objs/obj_u/Unsafe/uuid.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___UUID_TYPE_DEFINITIONS
#define BGL___UUID_TYPE_DEFINITIONS
#endif													// BGL___UUID_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
	static obj_t BGl_list1733z00zz__uuidz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__uuidz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__uuidz00(long,
		char *);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__uuidz00(void);
	static obj_t BGl_genericzd2initzd2zz__uuidz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__uuidz00(void);
	static obj_t BGl_objectzd2initzd2zz__uuidz00(void);
	static obj_t BGl_vector1732z00zz__uuidz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__uuidz00(void);
	extern obj_t bgl_bignum_sub(obj_t, obj_t);
	extern obj_t bgl_long_to_bignum(long);
	extern long bgl_current_seconds(void);
	extern obj_t make_string_sans_fill(long);
	BGL_EXPORTED_DECL obj_t BGl_genuuidz00zz__uuidz00(void);
	static obj_t BGl_z62genuuidz62zz__uuidz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genuuidzd2envzd2zz__uuidz00,
		BgL_bgl_za762genuuidza762za7za7_1734z00, BGl_z62genuuidz62zz__uuidz00, 0L,
		BUNSPEC, 0);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_genuuidzd2envzd2zz__uuidz00,
			BgL_bgl_za762genuuidza762za7za7_1734z00);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_list1733z00zz__uuidz00));
		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__uuidz00));
		ADD_ROOT((void *) (&BGl_vector1732z00zz__uuidz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__uuidz00(long
		BgL_checksumz00_2689, char *BgL_fromz00_2690)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__uuidz00))
				{
					BGl_requirezd2initializa7ationz75zz__uuidz00 = BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__uuidz00();
					BGl_cnstzd2initzd2zz__uuidz00();
					return BGl_methodzd2initzd2zz__uuidz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			BGl_list1733z00zz__uuidz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '0')),
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '1')),
					MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '2')),
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '3')),
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '4')),
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '5')),
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '6')),
										MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '7')),
											MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '8')),
												MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '9')),
													MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'a')),
														MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'b')),
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'c')),
																MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'd')),
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'e')),
																		MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																					'f')), BNIL))))))))))))))));
			return (BGl_vector1732z00zz__uuidz00 =
				BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
				(BGl_list1733z00zz__uuidz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* genuuid */
	BGL_EXPORTED_DEF obj_t BGl_genuuidz00zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 83 */
			{	/* Unsafe/uuid.scm 86 */
				obj_t BgL_hexz00_1240;

				BgL_hexz00_1240 = BGl_vector1732z00zz__uuidz00;
				{	/* Unsafe/uuid.scm 91 */
					long BgL_n1z00_1242;
					long BgL_n2z00_1243;
					long BgL_n3z00_1244;
					long BgL_n4z00_1245;
					long BgL_n5z00_1246;
					long BgL_n6z00_1247;
					long BgL_n7z00_1248;
					long BgL_n8z00_1249;

					{	/* Unsafe/uuid.scm 91 */
						long BgL_arg1333z00_1315;
						long BgL_arg1334z00_1316;

						{	/* Unsafe/uuid.scm 91 */
							long BgL_tmpz00_2732;

							BgL_tmpz00_2732 = bgl_current_seconds();
							BgL_arg1333z00_1315 = (long) (BgL_tmpz00_2732);
						}
						{	/* Unsafe/uuid.scm 91 */
							int BgL_arg1527z00_1813;

							BgL_arg1527z00_1813 = rand();
							BgL_arg1334z00_1316 =
								BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
								(long) (BgL_arg1527z00_1813), 65536L);
						}
						BgL_n1z00_1242 = (BgL_arg1333z00_1315 ^ BgL_arg1334z00_1316);
					}
					{	/* Unsafe/uuid.scm 92 */
						int BgL_arg1527z00_1817;

						BgL_arg1527z00_1817 = rand();
						BgL_n2z00_1243 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1527z00_1817), 65536L);
					}
					{	/* Unsafe/uuid.scm 93 */
						int BgL_arg1527z00_1819;

						BgL_arg1527z00_1819 = rand();
						BgL_n3z00_1244 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1527z00_1819), 65536L);
					}
					{	/* Unsafe/uuid.scm 94 */
						int BgL_arg1527z00_1821;

						BgL_arg1527z00_1821 = rand();
						BgL_n4z00_1245 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1527z00_1821), 65536L);
					}
					{	/* Unsafe/uuid.scm 95 */
						int BgL_arg1527z00_1823;

						BgL_arg1527z00_1823 = rand();
						BgL_n5z00_1246 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1527z00_1823), 65536L);
					}
					{	/* Unsafe/uuid.scm 96 */
						int BgL_arg1527z00_1825;

						BgL_arg1527z00_1825 = rand();
						BgL_n6z00_1247 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1527z00_1825), 65536L);
					}
					{	/* Unsafe/uuid.scm 97 */
						int BgL_arg1527z00_1827;

						BgL_arg1527z00_1827 = rand();
						BgL_n7z00_1248 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1527z00_1827), 65536L);
					}
					{	/* Unsafe/uuid.scm 98 */
						int BgL_arg1527z00_1829;

						BgL_arg1527z00_1829 = rand();
						BgL_n8z00_1249 =
							BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
							(long) (BgL_arg1527z00_1829), 65536L);
					}
					{	/* Unsafe/uuid.scm 99 */
						obj_t BgL_g1041z00_1250;

						BgL_g1041z00_1250 = make_string_sans_fill(36L);
						{	/* Unsafe/uuid.scm 101 */
							unsigned char BgL_arg1195z00_1251;

							{	/* Unsafe/uuid.scm 101 */
								long BgL_arg1196z00_1252;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1830;
									obj_t BgL_arg1338z00_1831;

									BgL_arg1337z00_1830 = (BgL_n1z00_1242 >> (int) (12L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1832;

										BgL_a1091z00_1832 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1834;

											BgL_za71za7_1834 = BINT(BgL_a1091z00_1832);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1836;

												BgL_tmpz00_1836 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1736z00_2767;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2768;

														BgL_tmpz00_2768 = BINT(1L);
														BgL_test1736z00_2767 =
															BGL_SUBFX_OV(BgL_za71za7_1834, BgL_tmpz00_2768,
															BgL_tmpz00_1836);
													}
													if (BgL_test1736z00_2767)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1831 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1834)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1831 = BgL_tmpz00_1836;
														}
												}
											}
										}
									}
									BgL_arg1196z00_1252 =
										(BgL_arg1337z00_1830 & (long) CINT(BgL_arg1338z00_1831));
								}
								BgL_arg1195z00_1251 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1196z00_1252));
							}
							STRING_SET(BgL_g1041z00_1250, 0L, BgL_arg1195z00_1251);
						}
						{	/* Unsafe/uuid.scm 102 */
							unsigned char BgL_arg1197z00_1253;

							{	/* Unsafe/uuid.scm 102 */
								long BgL_arg1201z00_1254;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1850;
									obj_t BgL_arg1338z00_1851;

									BgL_arg1337z00_1850 = (BgL_n1z00_1242 >> (int) (8L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1852;

										BgL_a1091z00_1852 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1854;

											BgL_za71za7_1854 = BINT(BgL_a1091z00_1852);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1856;

												BgL_tmpz00_1856 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1737z00_2786;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2787;

														BgL_tmpz00_2787 = BINT(1L);
														BgL_test1737z00_2786 =
															BGL_SUBFX_OV(BgL_za71za7_1854, BgL_tmpz00_2787,
															BgL_tmpz00_1856);
													}
													if (BgL_test1737z00_2786)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1851 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1854)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1851 = BgL_tmpz00_1856;
														}
												}
											}
										}
									}
									BgL_arg1201z00_1254 =
										(BgL_arg1337z00_1850 & (long) CINT(BgL_arg1338z00_1851));
								}
								BgL_arg1197z00_1253 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1201z00_1254));
							}
							STRING_SET(BgL_g1041z00_1250, 1L, BgL_arg1197z00_1253);
						}
						{	/* Unsafe/uuid.scm 103 */
							unsigned char BgL_arg1202z00_1255;

							{	/* Unsafe/uuid.scm 103 */
								long BgL_arg1203z00_1256;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1870;
									obj_t BgL_arg1338z00_1871;

									BgL_arg1337z00_1870 = (BgL_n1z00_1242 >> (int) (4L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1872;

										BgL_a1091z00_1872 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1874;

											BgL_za71za7_1874 = BINT(BgL_a1091z00_1872);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1876;

												BgL_tmpz00_1876 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1738z00_2805;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2806;

														BgL_tmpz00_2806 = BINT(1L);
														BgL_test1738z00_2805 =
															BGL_SUBFX_OV(BgL_za71za7_1874, BgL_tmpz00_2806,
															BgL_tmpz00_1876);
													}
													if (BgL_test1738z00_2805)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1871 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1874)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1871 = BgL_tmpz00_1876;
														}
												}
											}
										}
									}
									BgL_arg1203z00_1256 =
										(BgL_arg1337z00_1870 & (long) CINT(BgL_arg1338z00_1871));
								}
								BgL_arg1202z00_1255 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1203z00_1256));
							}
							STRING_SET(BgL_g1041z00_1250, 2L, BgL_arg1202z00_1255);
						}
						{	/* Unsafe/uuid.scm 104 */
							unsigned char BgL_arg1206z00_1257;

							{	/* Unsafe/uuid.scm 104 */
								long BgL_arg1207z00_1258;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1890;
									obj_t BgL_arg1338z00_1891;

									BgL_arg1337z00_1890 = (BgL_n1z00_1242 >> (int) (0L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1892;

										BgL_a1091z00_1892 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1894;

											BgL_za71za7_1894 = BINT(BgL_a1091z00_1892);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1896;

												BgL_tmpz00_1896 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1739z00_2824;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2825;

														BgL_tmpz00_2825 = BINT(1L);
														BgL_test1739z00_2824 =
															BGL_SUBFX_OV(BgL_za71za7_1894, BgL_tmpz00_2825,
															BgL_tmpz00_1896);
													}
													if (BgL_test1739z00_2824)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1891 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1894)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1891 = BgL_tmpz00_1896;
														}
												}
											}
										}
									}
									BgL_arg1207z00_1258 =
										(BgL_arg1337z00_1890 & (long) CINT(BgL_arg1338z00_1891));
								}
								BgL_arg1206z00_1257 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1207z00_1258));
							}
							STRING_SET(BgL_g1041z00_1250, 3L, BgL_arg1206z00_1257);
						}
						{	/* Unsafe/uuid.scm 105 */
							unsigned char BgL_arg1208z00_1259;

							{	/* Unsafe/uuid.scm 105 */
								long BgL_arg1211z00_1260;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1910;
									obj_t BgL_arg1338z00_1911;

									BgL_arg1337z00_1910 = (BgL_n2z00_1243 >> (int) (12L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1912;

										BgL_a1091z00_1912 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1914;

											BgL_za71za7_1914 = BINT(BgL_a1091z00_1912);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1916;

												BgL_tmpz00_1916 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1740z00_2843;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2844;

														BgL_tmpz00_2844 = BINT(1L);
														BgL_test1740z00_2843 =
															BGL_SUBFX_OV(BgL_za71za7_1914, BgL_tmpz00_2844,
															BgL_tmpz00_1916);
													}
													if (BgL_test1740z00_2843)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1911 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1914)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1911 = BgL_tmpz00_1916;
														}
												}
											}
										}
									}
									BgL_arg1211z00_1260 =
										(BgL_arg1337z00_1910 & (long) CINT(BgL_arg1338z00_1911));
								}
								BgL_arg1208z00_1259 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1211z00_1260));
							}
							STRING_SET(BgL_g1041z00_1250, 4L, BgL_arg1208z00_1259);
						}
						{	/* Unsafe/uuid.scm 106 */
							unsigned char BgL_arg1213z00_1261;

							{	/* Unsafe/uuid.scm 106 */
								long BgL_arg1215z00_1262;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1930;
									obj_t BgL_arg1338z00_1931;

									BgL_arg1337z00_1930 = (BgL_n2z00_1243 >> (int) (8L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1932;

										BgL_a1091z00_1932 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1934;

											BgL_za71za7_1934 = BINT(BgL_a1091z00_1932);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1936;

												BgL_tmpz00_1936 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1741z00_2862;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2863;

														BgL_tmpz00_2863 = BINT(1L);
														BgL_test1741z00_2862 =
															BGL_SUBFX_OV(BgL_za71za7_1934, BgL_tmpz00_2863,
															BgL_tmpz00_1936);
													}
													if (BgL_test1741z00_2862)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1931 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1934)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1931 = BgL_tmpz00_1936;
														}
												}
											}
										}
									}
									BgL_arg1215z00_1262 =
										(BgL_arg1337z00_1930 & (long) CINT(BgL_arg1338z00_1931));
								}
								BgL_arg1213z00_1261 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1215z00_1262));
							}
							STRING_SET(BgL_g1041z00_1250, 5L, BgL_arg1213z00_1261);
						}
						{	/* Unsafe/uuid.scm 107 */
							unsigned char BgL_arg1216z00_1263;

							{	/* Unsafe/uuid.scm 107 */
								long BgL_arg1217z00_1264;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1950;
									obj_t BgL_arg1338z00_1951;

									BgL_arg1337z00_1950 = (BgL_n2z00_1243 >> (int) (4L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1952;

										BgL_a1091z00_1952 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1954;

											BgL_za71za7_1954 = BINT(BgL_a1091z00_1952);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1956;

												BgL_tmpz00_1956 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1742z00_2881;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2882;

														BgL_tmpz00_2882 = BINT(1L);
														BgL_test1742z00_2881 =
															BGL_SUBFX_OV(BgL_za71za7_1954, BgL_tmpz00_2882,
															BgL_tmpz00_1956);
													}
													if (BgL_test1742z00_2881)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1951 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1954)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1951 = BgL_tmpz00_1956;
														}
												}
											}
										}
									}
									BgL_arg1217z00_1264 =
										(BgL_arg1337z00_1950 & (long) CINT(BgL_arg1338z00_1951));
								}
								BgL_arg1216z00_1263 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1217z00_1264));
							}
							STRING_SET(BgL_g1041z00_1250, 6L, BgL_arg1216z00_1263);
						}
						{	/* Unsafe/uuid.scm 108 */
							unsigned char BgL_arg1219z00_1265;

							{	/* Unsafe/uuid.scm 108 */
								long BgL_arg1224z00_1266;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1970;
									obj_t BgL_arg1338z00_1971;

									BgL_arg1337z00_1970 = (BgL_n2z00_1243 >> (int) (0L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1972;

										BgL_a1091z00_1972 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1974;

											BgL_za71za7_1974 = BINT(BgL_a1091z00_1972);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1976;

												BgL_tmpz00_1976 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1743z00_2900;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2901;

														BgL_tmpz00_2901 = BINT(1L);
														BgL_test1743z00_2900 =
															BGL_SUBFX_OV(BgL_za71za7_1974, BgL_tmpz00_2901,
															BgL_tmpz00_1976);
													}
													if (BgL_test1743z00_2900)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1971 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1974)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1971 = BgL_tmpz00_1976;
														}
												}
											}
										}
									}
									BgL_arg1224z00_1266 =
										(BgL_arg1337z00_1970 & (long) CINT(BgL_arg1338z00_1971));
								}
								BgL_arg1219z00_1265 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1224z00_1266));
							}
							STRING_SET(BgL_g1041z00_1250, 7L, BgL_arg1219z00_1265);
						}
						STRING_SET(BgL_g1041z00_1250, 8L, ((unsigned char) '-'));
						{	/* Unsafe/uuid.scm 111 */
							unsigned char BgL_arg1225z00_1267;

							{	/* Unsafe/uuid.scm 111 */
								long BgL_arg1226z00_1268;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_1992;
									obj_t BgL_arg1338z00_1993;

									BgL_arg1337z00_1992 = (BgL_n3z00_1244 >> (int) (12L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_1994;

										BgL_a1091z00_1994 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_1996;

											BgL_za71za7_1996 = BINT(BgL_a1091z00_1994);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_1998;

												BgL_tmpz00_1998 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1744z00_2920;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2921;

														BgL_tmpz00_2921 = BINT(1L);
														BgL_test1744z00_2920 =
															BGL_SUBFX_OV(BgL_za71za7_1996, BgL_tmpz00_2921,
															BgL_tmpz00_1998);
													}
													if (BgL_test1744z00_2920)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1993 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_1996)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_1993 = BgL_tmpz00_1998;
														}
												}
											}
										}
									}
									BgL_arg1226z00_1268 =
										(BgL_arg1337z00_1992 & (long) CINT(BgL_arg1338z00_1993));
								}
								BgL_arg1225z00_1267 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1226z00_1268));
							}
							STRING_SET(BgL_g1041z00_1250, 9L, BgL_arg1225z00_1267);
						}
						{	/* Unsafe/uuid.scm 112 */
							unsigned char BgL_arg1230z00_1269;

							{	/* Unsafe/uuid.scm 112 */
								long BgL_arg1231z00_1270;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2012;
									obj_t BgL_arg1338z00_2013;

									BgL_arg1337z00_2012 = (BgL_n3z00_1244 >> (int) (8L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2014;

										BgL_a1091z00_2014 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2016;

											BgL_za71za7_2016 = BINT(BgL_a1091z00_2014);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2018;

												BgL_tmpz00_2018 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1745z00_2939;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2940;

														BgL_tmpz00_2940 = BINT(1L);
														BgL_test1745z00_2939 =
															BGL_SUBFX_OV(BgL_za71za7_2016, BgL_tmpz00_2940,
															BgL_tmpz00_2018);
													}
													if (BgL_test1745z00_2939)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2013 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2016)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2013 = BgL_tmpz00_2018;
														}
												}
											}
										}
									}
									BgL_arg1231z00_1270 =
										(BgL_arg1337z00_2012 & (long) CINT(BgL_arg1338z00_2013));
								}
								BgL_arg1230z00_1269 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1231z00_1270));
							}
							STRING_SET(BgL_g1041z00_1250, 10L, BgL_arg1230z00_1269);
						}
						{	/* Unsafe/uuid.scm 113 */
							unsigned char BgL_arg1232z00_1271;

							{	/* Unsafe/uuid.scm 113 */
								long BgL_arg1234z00_1272;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2032;
									obj_t BgL_arg1338z00_2033;

									BgL_arg1337z00_2032 = (BgL_n3z00_1244 >> (int) (4L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2034;

										BgL_a1091z00_2034 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2036;

											BgL_za71za7_2036 = BINT(BgL_a1091z00_2034);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2038;

												BgL_tmpz00_2038 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1746z00_2958;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2959;

														BgL_tmpz00_2959 = BINT(1L);
														BgL_test1746z00_2958 =
															BGL_SUBFX_OV(BgL_za71za7_2036, BgL_tmpz00_2959,
															BgL_tmpz00_2038);
													}
													if (BgL_test1746z00_2958)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2033 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2036)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2033 = BgL_tmpz00_2038;
														}
												}
											}
										}
									}
									BgL_arg1234z00_1272 =
										(BgL_arg1337z00_2032 & (long) CINT(BgL_arg1338z00_2033));
								}
								BgL_arg1232z00_1271 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1234z00_1272));
							}
							STRING_SET(BgL_g1041z00_1250, 11L, BgL_arg1232z00_1271);
						}
						{	/* Unsafe/uuid.scm 114 */
							unsigned char BgL_arg1235z00_1273;

							{	/* Unsafe/uuid.scm 114 */
								long BgL_arg1236z00_1274;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2052;
									obj_t BgL_arg1338z00_2053;

									BgL_arg1337z00_2052 = (BgL_n3z00_1244 >> (int) (0L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2054;

										BgL_a1091z00_2054 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2056;

											BgL_za71za7_2056 = BINT(BgL_a1091z00_2054);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2058;

												BgL_tmpz00_2058 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1747z00_2977;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_2978;

														BgL_tmpz00_2978 = BINT(1L);
														BgL_test1747z00_2977 =
															BGL_SUBFX_OV(BgL_za71za7_2056, BgL_tmpz00_2978,
															BgL_tmpz00_2058);
													}
													if (BgL_test1747z00_2977)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2053 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2056)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2053 = BgL_tmpz00_2058;
														}
												}
											}
										}
									}
									BgL_arg1236z00_1274 =
										(BgL_arg1337z00_2052 & (long) CINT(BgL_arg1338z00_2053));
								}
								BgL_arg1235z00_1273 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1236z00_1274));
							}
							STRING_SET(BgL_g1041z00_1250, 12L, BgL_arg1235z00_1273);
						}
						STRING_SET(BgL_g1041z00_1250, 13L, ((unsigned char) '-'));
						{	/* Unsafe/uuid.scm 99 */
							unsigned char BgL_tmpz00_2991;

							BgL_tmpz00_2991 = CCHAR(VECTOR_REF(BgL_hexz00_1240, 4L));
							STRING_SET(BgL_g1041z00_1250, 14L, BgL_tmpz00_2991);
						}
						{	/* Unsafe/uuid.scm 118 */
							unsigned char BgL_arg1241z00_1276;

							{	/* Unsafe/uuid.scm 118 */
								long BgL_arg1242z00_1277;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2077;
									obj_t BgL_arg1338z00_2078;

									BgL_arg1337z00_2077 = (BgL_n4z00_1245 >> (int) (8L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2079;

										BgL_a1091z00_2079 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2081;

											BgL_za71za7_2081 = BINT(BgL_a1091z00_2079);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2083;

												BgL_tmpz00_2083 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1748z00_3001;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3002;

														BgL_tmpz00_3002 = BINT(1L);
														BgL_test1748z00_3001 =
															BGL_SUBFX_OV(BgL_za71za7_2081, BgL_tmpz00_3002,
															BgL_tmpz00_2083);
													}
													if (BgL_test1748z00_3001)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2078 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2081)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2078 = BgL_tmpz00_2083;
														}
												}
											}
										}
									}
									BgL_arg1242z00_1277 =
										(BgL_arg1337z00_2077 & (long) CINT(BgL_arg1338z00_2078));
								}
								BgL_arg1241z00_1276 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1242z00_1277));
							}
							STRING_SET(BgL_g1041z00_1250, 15L, BgL_arg1241z00_1276);
						}
						{	/* Unsafe/uuid.scm 119 */
							unsigned char BgL_arg1248z00_1278;

							{	/* Unsafe/uuid.scm 119 */
								long BgL_arg1249z00_1279;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2097;
									obj_t BgL_arg1338z00_2098;

									BgL_arg1337z00_2097 = (BgL_n4z00_1245 >> (int) (4L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2099;

										BgL_a1091z00_2099 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2101;

											BgL_za71za7_2101 = BINT(BgL_a1091z00_2099);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2103;

												BgL_tmpz00_2103 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1749z00_3020;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3021;

														BgL_tmpz00_3021 = BINT(1L);
														BgL_test1749z00_3020 =
															BGL_SUBFX_OV(BgL_za71za7_2101, BgL_tmpz00_3021,
															BgL_tmpz00_2103);
													}
													if (BgL_test1749z00_3020)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2098 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2101)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2098 = BgL_tmpz00_2103;
														}
												}
											}
										}
									}
									BgL_arg1249z00_1279 =
										(BgL_arg1337z00_2097 & (long) CINT(BgL_arg1338z00_2098));
								}
								BgL_arg1248z00_1278 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1249z00_1279));
							}
							STRING_SET(BgL_g1041z00_1250, 16L, BgL_arg1248z00_1278);
						}
						{	/* Unsafe/uuid.scm 120 */
							unsigned char BgL_arg1252z00_1280;

							{	/* Unsafe/uuid.scm 120 */
								long BgL_arg1253z00_1281;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2117;
									obj_t BgL_arg1338z00_2118;

									BgL_arg1337z00_2117 = (BgL_n4z00_1245 >> (int) (0L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2119;

										BgL_a1091z00_2119 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2121;

											BgL_za71za7_2121 = BINT(BgL_a1091z00_2119);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2123;

												BgL_tmpz00_2123 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1750z00_3039;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3040;

														BgL_tmpz00_3040 = BINT(1L);
														BgL_test1750z00_3039 =
															BGL_SUBFX_OV(BgL_za71za7_2121, BgL_tmpz00_3040,
															BgL_tmpz00_2123);
													}
													if (BgL_test1750z00_3039)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2118 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2121)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2118 = BgL_tmpz00_2123;
														}
												}
											}
										}
									}
									BgL_arg1253z00_1281 =
										(BgL_arg1337z00_2117 & (long) CINT(BgL_arg1338z00_2118));
								}
								BgL_arg1252z00_1280 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1253z00_1281));
							}
							STRING_SET(BgL_g1041z00_1250, 17L, BgL_arg1252z00_1280);
						}
						STRING_SET(BgL_g1041z00_1250, 18L, ((unsigned char) '-'));
						{	/* Unsafe/uuid.scm 123 */
							unsigned char BgL_arg1254z00_1282;

							{	/* Unsafe/uuid.scm 123 */
								long BgL_arg1258z00_1283;

								{	/* Unsafe/uuid.scm 123 */
									long BgL_arg1259z00_1284;

									{	/* Unsafe/uuid.scm 89 */
										long BgL_arg1337z00_2139;
										obj_t BgL_arg1338z00_2140;

										BgL_arg1337z00_2139 = (BgL_n5z00_1246 >> (int) (12L));
										{	/* Unsafe/uuid.scm 89 */
											long BgL_a1091z00_2141;

											BgL_a1091z00_2141 = (1L << (int) (2L));
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_za71za7_2143;

												BgL_za71za7_2143 = BINT(BgL_a1091z00_2141);
												{	/* Unsafe/uuid.scm 89 */
													obj_t BgL_tmpz00_2145;

													BgL_tmpz00_2145 = BINT(0L);
													{	/* Unsafe/uuid.scm 89 */
														bool_t BgL_test1751z00_3059;

														{	/* Unsafe/uuid.scm 89 */
															obj_t BgL_tmpz00_3060;

															BgL_tmpz00_3060 = BINT(1L);
															BgL_test1751z00_3059 =
																BGL_SUBFX_OV(BgL_za71za7_2143, BgL_tmpz00_3060,
																BgL_tmpz00_2145);
														}
														if (BgL_test1751z00_3059)
															{	/* Unsafe/uuid.scm 89 */
																BgL_arg1338z00_2140 =
																	bgl_bignum_sub(bgl_long_to_bignum(
																		(long) CINT(BgL_za71za7_2143)),
																	bgl_long_to_bignum(1L));
															}
														else
															{	/* Unsafe/uuid.scm 89 */
																BgL_arg1338z00_2140 = BgL_tmpz00_2145;
															}
													}
												}
											}
										}
										BgL_arg1259z00_1284 =
											(BgL_arg1337z00_2139 & (long) CINT(BgL_arg1338z00_2140));
									}
									BgL_arg1258z00_1283 = (BgL_arg1259z00_1284 | 8L);
								}
								BgL_arg1254z00_1282 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1258z00_1283));
							}
							STRING_SET(BgL_g1041z00_1250, 19L, BgL_arg1254z00_1282);
						}
						{	/* Unsafe/uuid.scm 124 */
							unsigned char BgL_arg1261z00_1285;

							{	/* Unsafe/uuid.scm 124 */
								long BgL_arg1262z00_1286;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2160;
									obj_t BgL_arg1338z00_2161;

									BgL_arg1337z00_2160 = (BgL_n5z00_1246 >> (int) (8L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2162;

										BgL_a1091z00_2162 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2164;

											BgL_za71za7_2164 = BINT(BgL_a1091z00_2162);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2166;

												BgL_tmpz00_2166 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1752z00_3079;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3080;

														BgL_tmpz00_3080 = BINT(1L);
														BgL_test1752z00_3079 =
															BGL_SUBFX_OV(BgL_za71za7_2164, BgL_tmpz00_3080,
															BgL_tmpz00_2166);
													}
													if (BgL_test1752z00_3079)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2161 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2164)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2161 = BgL_tmpz00_2166;
														}
												}
											}
										}
									}
									BgL_arg1262z00_1286 =
										(BgL_arg1337z00_2160 & (long) CINT(BgL_arg1338z00_2161));
								}
								BgL_arg1261z00_1285 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1262z00_1286));
							}
							STRING_SET(BgL_g1041z00_1250, 20L, BgL_arg1261z00_1285);
						}
						{	/* Unsafe/uuid.scm 126 */
							unsigned char BgL_arg1263z00_1287;

							{	/* Unsafe/uuid.scm 126 */
								long BgL_arg1265z00_1288;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2180;
									obj_t BgL_arg1338z00_2181;

									BgL_arg1337z00_2180 = (BgL_n5z00_1246 >> (int) (4L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2182;

										BgL_a1091z00_2182 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2184;

											BgL_za71za7_2184 = BINT(BgL_a1091z00_2182);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2186;

												BgL_tmpz00_2186 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1753z00_3098;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3099;

														BgL_tmpz00_3099 = BINT(1L);
														BgL_test1753z00_3098 =
															BGL_SUBFX_OV(BgL_za71za7_2184, BgL_tmpz00_3099,
															BgL_tmpz00_2186);
													}
													if (BgL_test1753z00_3098)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2181 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2184)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2181 = BgL_tmpz00_2186;
														}
												}
											}
										}
									}
									BgL_arg1265z00_1288 =
										(BgL_arg1337z00_2180 & (long) CINT(BgL_arg1338z00_2181));
								}
								BgL_arg1263z00_1287 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1265z00_1288));
							}
							STRING_SET(BgL_g1041z00_1250, 21L, BgL_arg1263z00_1287);
						}
						{	/* Unsafe/uuid.scm 127 */
							unsigned char BgL_arg1266z00_1289;

							{	/* Unsafe/uuid.scm 127 */
								long BgL_arg1267z00_1290;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2200;
									obj_t BgL_arg1338z00_2201;

									BgL_arg1337z00_2200 = (BgL_n5z00_1246 >> (int) (0L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2202;

										BgL_a1091z00_2202 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2204;

											BgL_za71za7_2204 = BINT(BgL_a1091z00_2202);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2206;

												BgL_tmpz00_2206 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1754z00_3117;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3118;

														BgL_tmpz00_3118 = BINT(1L);
														BgL_test1754z00_3117 =
															BGL_SUBFX_OV(BgL_za71za7_2204, BgL_tmpz00_3118,
															BgL_tmpz00_2206);
													}
													if (BgL_test1754z00_3117)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2201 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2204)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2201 = BgL_tmpz00_2206;
														}
												}
											}
										}
									}
									BgL_arg1267z00_1290 =
										(BgL_arg1337z00_2200 & (long) CINT(BgL_arg1338z00_2201));
								}
								BgL_arg1266z00_1289 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1267z00_1290));
							}
							STRING_SET(BgL_g1041z00_1250, 22L, BgL_arg1266z00_1289);
						}
						STRING_SET(BgL_g1041z00_1250, 23L, ((unsigned char) '-'));
						{	/* Unsafe/uuid.scm 130 */
							unsigned char BgL_arg1269z00_1291;

							{	/* Unsafe/uuid.scm 130 */
								long BgL_arg1271z00_1292;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2222;
									obj_t BgL_arg1338z00_2223;

									BgL_arg1337z00_2222 = (BgL_n6z00_1247 >> (int) (12L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2224;

										BgL_a1091z00_2224 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2226;

											BgL_za71za7_2226 = BINT(BgL_a1091z00_2224);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2228;

												BgL_tmpz00_2228 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1755z00_3137;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3138;

														BgL_tmpz00_3138 = BINT(1L);
														BgL_test1755z00_3137 =
															BGL_SUBFX_OV(BgL_za71za7_2226, BgL_tmpz00_3138,
															BgL_tmpz00_2228);
													}
													if (BgL_test1755z00_3137)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2223 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2226)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2223 = BgL_tmpz00_2228;
														}
												}
											}
										}
									}
									BgL_arg1271z00_1292 =
										(BgL_arg1337z00_2222 & (long) CINT(BgL_arg1338z00_2223));
								}
								BgL_arg1269z00_1291 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1271z00_1292));
							}
							STRING_SET(BgL_g1041z00_1250, 24L, BgL_arg1269z00_1291);
						}
						{	/* Unsafe/uuid.scm 131 */
							unsigned char BgL_arg1274z00_1293;

							{	/* Unsafe/uuid.scm 131 */
								long BgL_arg1276z00_1294;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2242;
									obj_t BgL_arg1338z00_2243;

									BgL_arg1337z00_2242 = (BgL_n6z00_1247 >> (int) (8L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2244;

										BgL_a1091z00_2244 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2246;

											BgL_za71za7_2246 = BINT(BgL_a1091z00_2244);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2248;

												BgL_tmpz00_2248 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1756z00_3156;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3157;

														BgL_tmpz00_3157 = BINT(1L);
														BgL_test1756z00_3156 =
															BGL_SUBFX_OV(BgL_za71za7_2246, BgL_tmpz00_3157,
															BgL_tmpz00_2248);
													}
													if (BgL_test1756z00_3156)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2243 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2246)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2243 = BgL_tmpz00_2248;
														}
												}
											}
										}
									}
									BgL_arg1276z00_1294 =
										(BgL_arg1337z00_2242 & (long) CINT(BgL_arg1338z00_2243));
								}
								BgL_arg1274z00_1293 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1276z00_1294));
							}
							STRING_SET(BgL_g1041z00_1250, 25L, BgL_arg1274z00_1293);
						}
						{	/* Unsafe/uuid.scm 132 */
							unsigned char BgL_arg1278z00_1295;

							{	/* Unsafe/uuid.scm 132 */
								long BgL_arg1279z00_1296;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2262;
									obj_t BgL_arg1338z00_2263;

									BgL_arg1337z00_2262 = (BgL_n6z00_1247 >> (int) (4L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2264;

										BgL_a1091z00_2264 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2266;

											BgL_za71za7_2266 = BINT(BgL_a1091z00_2264);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2268;

												BgL_tmpz00_2268 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1757z00_3175;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3176;

														BgL_tmpz00_3176 = BINT(1L);
														BgL_test1757z00_3175 =
															BGL_SUBFX_OV(BgL_za71za7_2266, BgL_tmpz00_3176,
															BgL_tmpz00_2268);
													}
													if (BgL_test1757z00_3175)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2263 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2266)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2263 = BgL_tmpz00_2268;
														}
												}
											}
										}
									}
									BgL_arg1279z00_1296 =
										(BgL_arg1337z00_2262 & (long) CINT(BgL_arg1338z00_2263));
								}
								BgL_arg1278z00_1295 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1279z00_1296));
							}
							STRING_SET(BgL_g1041z00_1250, 26L, BgL_arg1278z00_1295);
						}
						{	/* Unsafe/uuid.scm 133 */
							unsigned char BgL_arg1280z00_1297;

							{	/* Unsafe/uuid.scm 133 */
								long BgL_arg1281z00_1298;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2282;
									obj_t BgL_arg1338z00_2283;

									BgL_arg1337z00_2282 = (BgL_n6z00_1247 >> (int) (0L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2284;

										BgL_a1091z00_2284 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2286;

											BgL_za71za7_2286 = BINT(BgL_a1091z00_2284);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2288;

												BgL_tmpz00_2288 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1758z00_3194;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3195;

														BgL_tmpz00_3195 = BINT(1L);
														BgL_test1758z00_3194 =
															BGL_SUBFX_OV(BgL_za71za7_2286, BgL_tmpz00_3195,
															BgL_tmpz00_2288);
													}
													if (BgL_test1758z00_3194)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2283 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2286)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2283 = BgL_tmpz00_2288;
														}
												}
											}
										}
									}
									BgL_arg1281z00_1298 =
										(BgL_arg1337z00_2282 & (long) CINT(BgL_arg1338z00_2283));
								}
								BgL_arg1280z00_1297 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1281z00_1298));
							}
							STRING_SET(BgL_g1041z00_1250, 27L, BgL_arg1280z00_1297);
						}
						{	/* Unsafe/uuid.scm 134 */
							unsigned char BgL_arg1282z00_1299;

							{	/* Unsafe/uuid.scm 134 */
								long BgL_arg1283z00_1300;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2302;
									obj_t BgL_arg1338z00_2303;

									BgL_arg1337z00_2302 = (BgL_n7z00_1248 >> (int) (12L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2304;

										BgL_a1091z00_2304 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2306;

											BgL_za71za7_2306 = BINT(BgL_a1091z00_2304);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2308;

												BgL_tmpz00_2308 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1759z00_3213;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3214;

														BgL_tmpz00_3214 = BINT(1L);
														BgL_test1759z00_3213 =
															BGL_SUBFX_OV(BgL_za71za7_2306, BgL_tmpz00_3214,
															BgL_tmpz00_2308);
													}
													if (BgL_test1759z00_3213)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2303 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2306)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2303 = BgL_tmpz00_2308;
														}
												}
											}
										}
									}
									BgL_arg1283z00_1300 =
										(BgL_arg1337z00_2302 & (long) CINT(BgL_arg1338z00_2303));
								}
								BgL_arg1282z00_1299 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1283z00_1300));
							}
							STRING_SET(BgL_g1041z00_1250, 28L, BgL_arg1282z00_1299);
						}
						{	/* Unsafe/uuid.scm 135 */
							unsigned char BgL_arg1285z00_1301;

							{	/* Unsafe/uuid.scm 135 */
								long BgL_arg1287z00_1302;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2322;
									obj_t BgL_arg1338z00_2323;

									BgL_arg1337z00_2322 = (BgL_n7z00_1248 >> (int) (8L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2324;

										BgL_a1091z00_2324 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2326;

											BgL_za71za7_2326 = BINT(BgL_a1091z00_2324);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2328;

												BgL_tmpz00_2328 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1760z00_3232;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3233;

														BgL_tmpz00_3233 = BINT(1L);
														BgL_test1760z00_3232 =
															BGL_SUBFX_OV(BgL_za71za7_2326, BgL_tmpz00_3233,
															BgL_tmpz00_2328);
													}
													if (BgL_test1760z00_3232)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2323 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2326)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2323 = BgL_tmpz00_2328;
														}
												}
											}
										}
									}
									BgL_arg1287z00_1302 =
										(BgL_arg1337z00_2322 & (long) CINT(BgL_arg1338z00_2323));
								}
								BgL_arg1285z00_1301 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1287z00_1302));
							}
							STRING_SET(BgL_g1041z00_1250, 29L, BgL_arg1285z00_1301);
						}
						{	/* Unsafe/uuid.scm 136 */
							unsigned char BgL_arg1291z00_1303;

							{	/* Unsafe/uuid.scm 136 */
								long BgL_arg1292z00_1304;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2342;
									obj_t BgL_arg1338z00_2343;

									BgL_arg1337z00_2342 = (BgL_n7z00_1248 >> (int) (4L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2344;

										BgL_a1091z00_2344 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2346;

											BgL_za71za7_2346 = BINT(BgL_a1091z00_2344);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2348;

												BgL_tmpz00_2348 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1761z00_3251;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3252;

														BgL_tmpz00_3252 = BINT(1L);
														BgL_test1761z00_3251 =
															BGL_SUBFX_OV(BgL_za71za7_2346, BgL_tmpz00_3252,
															BgL_tmpz00_2348);
													}
													if (BgL_test1761z00_3251)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2343 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2346)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2343 = BgL_tmpz00_2348;
														}
												}
											}
										}
									}
									BgL_arg1292z00_1304 =
										(BgL_arg1337z00_2342 & (long) CINT(BgL_arg1338z00_2343));
								}
								BgL_arg1291z00_1303 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1292z00_1304));
							}
							STRING_SET(BgL_g1041z00_1250, 30L, BgL_arg1291z00_1303);
						}
						{	/* Unsafe/uuid.scm 137 */
							unsigned char BgL_arg1293z00_1305;

							{	/* Unsafe/uuid.scm 137 */
								long BgL_arg1295z00_1306;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2362;
									obj_t BgL_arg1338z00_2363;

									BgL_arg1337z00_2362 = (BgL_n7z00_1248 >> (int) (0L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2364;

										BgL_a1091z00_2364 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2366;

											BgL_za71za7_2366 = BINT(BgL_a1091z00_2364);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2368;

												BgL_tmpz00_2368 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1762z00_3270;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3271;

														BgL_tmpz00_3271 = BINT(1L);
														BgL_test1762z00_3270 =
															BGL_SUBFX_OV(BgL_za71za7_2366, BgL_tmpz00_3271,
															BgL_tmpz00_2368);
													}
													if (BgL_test1762z00_3270)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2363 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2366)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2363 = BgL_tmpz00_2368;
														}
												}
											}
										}
									}
									BgL_arg1295z00_1306 =
										(BgL_arg1337z00_2362 & (long) CINT(BgL_arg1338z00_2363));
								}
								BgL_arg1293z00_1305 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1295z00_1306));
							}
							STRING_SET(BgL_g1041z00_1250, 31L, BgL_arg1293z00_1305);
						}
						{	/* Unsafe/uuid.scm 138 */
							unsigned char BgL_arg1296z00_1307;

							{	/* Unsafe/uuid.scm 138 */
								long BgL_arg1298z00_1308;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2382;
									obj_t BgL_arg1338z00_2383;

									BgL_arg1337z00_2382 = (BgL_n8z00_1249 >> (int) (12L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2384;

										BgL_a1091z00_2384 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2386;

											BgL_za71za7_2386 = BINT(BgL_a1091z00_2384);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2388;

												BgL_tmpz00_2388 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1763z00_3289;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3290;

														BgL_tmpz00_3290 = BINT(1L);
														BgL_test1763z00_3289 =
															BGL_SUBFX_OV(BgL_za71za7_2386, BgL_tmpz00_3290,
															BgL_tmpz00_2388);
													}
													if (BgL_test1763z00_3289)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2383 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2386)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2383 = BgL_tmpz00_2388;
														}
												}
											}
										}
									}
									BgL_arg1298z00_1308 =
										(BgL_arg1337z00_2382 & (long) CINT(BgL_arg1338z00_2383));
								}
								BgL_arg1296z00_1307 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1298z00_1308));
							}
							STRING_SET(BgL_g1041z00_1250, 32L, BgL_arg1296z00_1307);
						}
						{	/* Unsafe/uuid.scm 139 */
							unsigned char BgL_arg1301z00_1309;

							{	/* Unsafe/uuid.scm 139 */
								long BgL_arg1322z00_1310;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2402;
									obj_t BgL_arg1338z00_2403;

									BgL_arg1337z00_2402 = (BgL_n8z00_1249 >> (int) (8L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2404;

										BgL_a1091z00_2404 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2406;

											BgL_za71za7_2406 = BINT(BgL_a1091z00_2404);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2408;

												BgL_tmpz00_2408 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1764z00_3308;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3309;

														BgL_tmpz00_3309 = BINT(1L);
														BgL_test1764z00_3308 =
															BGL_SUBFX_OV(BgL_za71za7_2406, BgL_tmpz00_3309,
															BgL_tmpz00_2408);
													}
													if (BgL_test1764z00_3308)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2403 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2406)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2403 = BgL_tmpz00_2408;
														}
												}
											}
										}
									}
									BgL_arg1322z00_1310 =
										(BgL_arg1337z00_2402 & (long) CINT(BgL_arg1338z00_2403));
								}
								BgL_arg1301z00_1309 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1322z00_1310));
							}
							STRING_SET(BgL_g1041z00_1250, 33L, BgL_arg1301z00_1309);
						}
						{	/* Unsafe/uuid.scm 140 */
							unsigned char BgL_arg1329z00_1311;

							{	/* Unsafe/uuid.scm 140 */
								long BgL_arg1330z00_1312;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2422;
									obj_t BgL_arg1338z00_2423;

									BgL_arg1337z00_2422 = (BgL_n8z00_1249 >> (int) (4L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2424;

										BgL_a1091z00_2424 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2426;

											BgL_za71za7_2426 = BINT(BgL_a1091z00_2424);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2428;

												BgL_tmpz00_2428 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1765z00_3327;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3328;

														BgL_tmpz00_3328 = BINT(1L);
														BgL_test1765z00_3327 =
															BGL_SUBFX_OV(BgL_za71za7_2426, BgL_tmpz00_3328,
															BgL_tmpz00_2428);
													}
													if (BgL_test1765z00_3327)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2423 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2426)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2423 = BgL_tmpz00_2428;
														}
												}
											}
										}
									}
									BgL_arg1330z00_1312 =
										(BgL_arg1337z00_2422 & (long) CINT(BgL_arg1338z00_2423));
								}
								BgL_arg1329z00_1311 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1330z00_1312));
							}
							STRING_SET(BgL_g1041z00_1250, 34L, BgL_arg1329z00_1311);
						}
						{	/* Unsafe/uuid.scm 141 */
							unsigned char BgL_arg1331z00_1313;

							{	/* Unsafe/uuid.scm 141 */
								long BgL_arg1332z00_1314;

								{	/* Unsafe/uuid.scm 89 */
									long BgL_arg1337z00_2442;
									obj_t BgL_arg1338z00_2443;

									BgL_arg1337z00_2442 = (BgL_n8z00_1249 >> (int) (0L));
									{	/* Unsafe/uuid.scm 89 */
										long BgL_a1091z00_2444;

										BgL_a1091z00_2444 = (1L << (int) (4L));
										{	/* Unsafe/uuid.scm 89 */
											obj_t BgL_za71za7_2446;

											BgL_za71za7_2446 = BINT(BgL_a1091z00_2444);
											{	/* Unsafe/uuid.scm 89 */
												obj_t BgL_tmpz00_2448;

												BgL_tmpz00_2448 = BINT(0L);
												{	/* Unsafe/uuid.scm 89 */
													bool_t BgL_test1766z00_3346;

													{	/* Unsafe/uuid.scm 89 */
														obj_t BgL_tmpz00_3347;

														BgL_tmpz00_3347 = BINT(1L);
														BgL_test1766z00_3346 =
															BGL_SUBFX_OV(BgL_za71za7_2446, BgL_tmpz00_3347,
															BgL_tmpz00_2448);
													}
													if (BgL_test1766z00_3346)
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2443 =
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2446)),
																bgl_long_to_bignum(1L));
														}
													else
														{	/* Unsafe/uuid.scm 89 */
															BgL_arg1338z00_2443 = BgL_tmpz00_2448;
														}
												}
											}
										}
									}
									BgL_arg1332z00_1314 =
										(BgL_arg1337z00_2442 & (long) CINT(BgL_arg1338z00_2443));
								}
								BgL_arg1331z00_1313 =
									CCHAR(VECTOR_REF(BgL_hexz00_1240, BgL_arg1332z00_1314));
							}
							STRING_SET(BgL_g1041z00_1250, 35L, BgL_arg1331z00_1313);
						}
						return BgL_g1041z00_1250;
					}
				}
			}
		}

	}



/* &genuuid */
	obj_t BGl_z62genuuidz62zz__uuidz00(obj_t BgL_envz00_2687)
	{
		{	/* Unsafe/uuid.scm 83 */
			return BGl_genuuidz00zz__uuidz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__uuidz00(void)
	{
		{	/* Unsafe/uuid.scm 15 */
			return BUNSPEC;
		}

	}

#ifdef __cplusplus
}
#endif
